#!/bin/bash
version="$1"
date=$(date '+%y-%d-%m %H:%M:%S')
sed -i "s;^Version: .*$;Version: ${version};" package.spec
sed -i "s;^pkgver=.*$;pkgver=${version};" PKGBUILD
git add -A
git commit --date="${date}" -m "Release ${version}"
git tag -m "Release ${version}" "v${version}"
git cliff -c changelog-debian.toml
git cliff -c changelog-rhel.toml
git add -A
git commit --amend --date="${date}" -m "Release ${version}"
git tag -fm "Release ${version}" "v${version}"
./build.pkg || git reset --soft HEAD^
